<script lang="ts" setup>
import type { BaseForm } from '@/types/base';
import type { PropType } from 'vue';

defineProps({
  header: {
    type: String,
    required: true,
  },
  form: {
    type: Object as PropType<BaseForm>,
    required: true,
  },
});
</script>

<template>
  <section class="community-form-section">
    <SlpContainer>
      <SlpRow>
        <SlpColumn :cols="6" class="slp-pr-md-64">
          <SlpTypography class="slp-mb-24" tag="p" variant="heading2-bold">{{ header }} </SlpTypography>
        </SlpColumn>
        <SlpColumn :cols="6" class="community-form-section__form-wrapper">
          <div class="community-form-section__form">
            <CommonMktoForm v-bind="form" class="newsletter-form" />
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.community-form-section {
  background: $color-surface-800;
  padding: $spacing-48 0;
  margin: $spacing-48 0 0 0;
  @media (min-width: $breakpoint-lg) {
    padding: $spacing-96 0;
    margin: $spacing-96 0 0 0;
  }
  &__form-wrapper {
    width: 100%;
    background: #fff;
    border: 1px solid rgba(0, 0, 0, 0.08);
    border-radius: 4px;
    padding: 32px;
  }

  &__form {
    &:deep(div.mktoOffset) {
      display: none !important;
    }

    &:deep(div.mktoGutter.mktoHasWidth) {
      height: 0 !important;
      margin-bottom: 8px !important;
    }
  }
}
</style>
